注册 登录
明经CAD社区 返回首页

jicqj的个人空间 http://www.mjtd.com/?310428 [收藏] [复制] [分享] [RSS]

日志

entmake画Pline 用于需要的地方

已有 279 次阅读2018-8-2 23:10 |系统分类:开发| Pline

(defun c:mpl()
(my->drawPLine)
)
(defun draw->Pline( lst w / pt )
(entmake (append (list '(0 . "LWPOLYLINE")
                       '(100 . "AcDbEntity")
                       '(100 . "AcDbPolyline")
                       (cons 90 (length lst))
                        (cons 43   w);全局宽度
                 )
                 (mapcar '(lambda (pt) (cons 10 pt)) lst)
         )
)

);defun

(defun my->drawPLine( / pt0 li pt ss)
(setq pt0 (getpoint "输入起点")
      li (list pt0 )
      ss (ssadd)
)
(while (setq pt (getpoint pt0 "\n 输入下一点:"))
( draw->Pline (list pt0 pt) 90)
(setq li (cons pt li)
      pt0 pt
);setq
(setq ss (ssadd (entlast) ss));setq
);while
(command "erase" ss "")
( draw->Pline (reverse li) 90)
(princ)
)

路过

雷人

握手

鲜花

鸡蛋

评论 (0 个评论)

facelist doodle 涂鸦板

您需要登录后才可以评论 登录 | 注册

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2018-10-16 22:48 , Processed in 0.096167 second(s), 18 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

返回顶部